1. Posts
Turf API Documentation
  • Users
    • Create Community Member
      POST
    • Update Community Member's Profile
      PUT
    • Delete Community Member(s)
      DELETE
    • Get Community Members
      GET
    • Block Community Member
      PUT
    • Get Community Member's Details
      GET
    • Get Member's Created Posts
      GET
    • Get Member's Saved Posts
      GET
    • Get Member's Comments
      GET
    • Get Member's RSVP'd Events
      GET
    • Get Member's Courses
      GET
    • Get Member's Created Events
      GET
    • Get Member's Course Enrollments
      GET
  • Channels
    • Get Community Channels
      GET
    • Get Roadmap Channel Status
      GET
  • Posts
    • Create Discussion Post
      POST
    • Update Discussion Post
      PUT
    • Create Article Post
      POST
    • Update Article Post
      PUT
    • Top Community Posts
      GET
    • Get Channel's Posts
      GET
    • Get Discussion Post Details
      GET
    • Get Article Post Details
      GET
    • Update Roadmap Post Status
      PUT
  • Courses
    • Top Community Courses
      GET
  • Segments
    • Get Community Segments
    • Get members in a segment
    • Add Member To Segment
    • Add Members To Multiple Segments
    • Remove Member From Segment
  • Gamification
    • Get Community Badges
    • Award Badge To Member
    • Remove Badge From Member
  • Comments
    • Create Comment On Post
    • Update Comment On Post
    • Delete Existing Comment
    • Create comment on comment
  • Topics
    • Get Topics
  • Metrics
    • Widget
      • Widget Opens Series
      • Widget Opens Aggregate
      • Widget Engagement Snapshot
    • Platform
      • Dashboard Metrics Series
        • Total Members (cumulative)
        • New Members
        • Active Users
        • Unanswered Posts
        • Visitor Members (via dashboard-metrics)
        • Visitor Non-Members (via dashboard-metrics)
      • Activities
      • Post Metrics
      • New Members Aggregate
      • Resolved Chats Aggregate
      • Visitor Metrics — Member
      • Visitor Metrics — Non-Member
      • Visitor Source Pivot
      • Visitor Source Series
      • Dashboard Rollup
      • Day Most Active
      • Helpful Support Cost
      • Support Ticket Deflected
      • Dashboard Members Card
      • Dashboard Posts Counts
      • Community Metrics Snapshot
      • Community Metrics By Type
      • Community Metrics By Type (with range)
      • Total Members Community
  • Webhooks
  1. Posts

Update Article Post

PUT
https://external.useturf-api.com/community/v1/post/article/{postId}
The Update Article Post API updates an existing article post in your community environment. Article posts support advanced formatting from Rich Text Editors (RTE) in HTML format.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://external.useturf-api.com/community/v1/post/article/great-article' \
--header 'x-api-key: api-key' \
--header 'Content-Type: application/json' \
--data-raw '{
  "createdBy": "olivier22-van-den-hoogen",
  "channelId": "faqs",
  "postTitle": "<h1>Great article!</h1>",
  "postDescription": "<h2>Community Guidelines</h2><p>Welcome to our amazing community! Here are some <strong>important guidelines</strong> to follow:</p><ul><li>Be respectful to all members</li><li>No spam or self-promotion without permission</li><li>Use appropriate language and content</li></ul><p>For questions, please <a href=\"mailto:support@example.com\" target=\"_blank\">contact our support team</a>.</p><blockquote><p><em>\"Building a better community together!\"</em></p></blockquote><p>Thanks for being part of our community!</p>",
  "topicId": "topic-discussion"
}'
Response Response Example
201 - Example 1
{
    "message": "string",
    "data": {
        "postId": "string"
    }
}
Modified at 2026-03-26 14:29:34
Previous
Create Article Post
Next
Top Community Posts
Built with